Skip to main content
POST
/
accounts
Open an account
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "productCode": "<string>",
  "currency": "<string>",
  "agreementId": "<string>",
  "openingReason": "<string>"
}
'
{
  "accountId": "acc_01JQ9M1AGNRP3D5S70X6Y2SNJW",
  "partyId": "<string>",
  "productCode": "<string>",
  "currency": "EUR",
  "status": "pending",
  "agreementId": "<string>",
  "iban": "AT611904300234573201",
  "openedAt": "2023-11-07T05:31:56Z",
  "bookingDate": "2023-12-25",
  "availableBalance": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "currentBalance": {
    "amount": "12500.00",
    "currency": "EUR"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
productCode
string
required
currency
string
required
agreementId
string
openingReason
string

Response

Account created

accountId
string
required
Example:

"acc_01JQ9M1AGNRP3D5S70X6Y2SNJW"

partyId
string
required
productCode
string
required
currency
string
required
Example:

"EUR"

status
enum<string>
required
Available options:
pending,
active,
blocked,
closed
agreementId
string
iban
string
Example:

"AT611904300234573201"

openedAt
string<date-time>
bookingDate
string<date>
availableBalance
object
currentBalance
object